Subject: Re: gcc version 3.4.4 (cygming special, gdc 0.12, using dmd 0.125) Internal compiler error
From: Cory Cohen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 19 Apr 2008 11:30:48 -0400
List-Id: <cygwin.cygwin.com>

Hello again,

Several days ago I sent a bug report about an internal compiler error to 
the cygwin and gcc-bugs lists.  I've not heard back anything from either 
of the lists, and was wondering if there was something more that I 
needed to provide.  I realize there's no support contract here, and I'm 
not expecting that a solution be handed to me.  I'm happy to investigate 
further if someone will point me in the right direction.  But so far I 
think I've done exactly what was asked of me to report the report the 
problem...

Should I try to create a ticket in gcc bugzilla?  Has anyone been able 
to reproduce the problem?  Will cygwin or gcc track this problem?  Am I 
done, and I just need to wait patiently for someone to get to it?  I'm 
just wondering what to do now...

Cory Cohen wrote:
> Hello,
>
> While compiling some code with g++ on cygwin, I encountered an 
> internal compiler error, which I was eventually able to narrow down to 
> this:
>
> $ g++ -c 
> /usr/lib/gcc/i686-pc-mingw32/3.4.4/include/c++/bits/locale_classes.h
> /usr/lib/gcc/i686-pc-mingw32/3.4.4/include/c++/bits/locale_classes.h:43:13: 
> warning: #pragma system_header ignored outside include file
> /usr/lib/gcc/i686-pc-mingw32/3.4.4/include/c++/bits/locale_classes.h:597: 
> internal compiler error: Segmentation fault
> Please submit a full bug report,
> with preprocessed source if appropriate.
> See <URL:http://cygwin.com/problems.html> for instructions.
>
> The error also occurs for a number of upstream includes like 
> <iterator>.  I was able to track it as far as local_classes.h and then 
> it became rather difficult, since changing nearly anything caused the 
> error to disappear (with a successful compile).
>
> The error is occasionally intermittent, in that I can sometimes issue 
> the same command over and over and get different results (successful 
> or an internal error) on each invocation.  The command provided above 
> appears to fail 100% of the time on my system, but there's no 
> assurance it won't be intermittent in another environment, so give it 
> several attempts.
>
> I've got what I suspect may be a rather uncommon environment...  
> 64-bit Vista running cygwin, but things generally seem to work just 
> fine, and I've not done anything unusual to customize it.
>
> I've included the g++ -v output below, and attached two versions of 
> the cygcheck command output for the cygwin folks.  The second one is 
> because "cygcheck -r" fails with some kind of an infinite recursion 
> problem (which you can see starting near the end of the output).
>
> $ g++ -v
> Reading specs from /usr/lib/gcc/i686-pc-cygwin/3.4.4/specs
> Configured with: 
> /usr/build/package/orig/test.respin/gcc-3.4.4-3/configure --verbose 
> --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc --libdir=/usr/lib 
> --libexecdir=/usr/lib --mandir=/usr/share/man 
> --infodir=/usr/share/info 
> --enable-languages=c,ada,c++,d,f77,pascal,java,objc --enable-nls 
> --without-included-gettext --enable-version-specific-runtime-libs 
> --without-x --enable-libgcj --disable-java-awt --with-system-zlib 
> --enable-interpreter --disable-libgcj-debug --enable-threads=posix 
> --enable-java-gc=boehm --disable-win32-registry 
> --enable-sjlj-exceptions --enable-hash-synchronization 
> --enable-libstdcxx-debug
> Thread model: posix
> gcc version 3.4.4 (cygming special, gdc 0.12, using dmd 0.125)
>
> Finally, I've included the local_classes.ii output from --save-temps 
> in case my "standard" includes aren't really standard for some strange 
> reason.
>
> If there's anything else I can do to help, please let me know.
>
> Cory Cohen
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/